/*********** Fixer le style global ******************/
html, body {
    margin: 0;
    padding: 0;
    font-family: Arial, Verdana, sans-serif;
    font-size: 0.625rem;  /*1rem = 10px */
    color: black;
    background-color: white;
  }
  
  /*********** Grille globale *************************/
  /* https://developer.mozilla.org/fr/docs/Web/CSS/CSS_Grid_Layout/Realizing_common_layouts_using_CSS_Grid_Layout */
  
  /* Nommer les zones pour utiliser grid-template-areas */
  .main-head {
    grid-area: header;
  }
  .main-nav {
    grid-area: nav;
  }
  .main-content {
    grid-area: content;
  }
  .side {
    grid-area: sidebar;
  }
  .main-footer {
    grid-area: footer;
  }
  
  .container {
    display: grid;
    grid-template-columns: 30rem auto 30rem;
    grid-gap: 2rem;
    grid-template-areas:
      "header header  header"
      "nav    content sidebar"
      "footer footer  footer";
  
      /* Coller le footer en bas du viewport*/
      grid-template-rows: 10rem auto 5rem;
      height: 100vh;
  }
  
  /*********** Header *********************************/
  .main-head {
    font-size: 1.6rem;
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    grid-gap: 2rem;
    padding: 0 1rem 0 0;
    background-color: rgb(51, 55, 56);
  }
  .logo-banner {
    height: 100%;
    aspect-ratio: auto 279 / 100;
  }
  .main-head > blockquote {
    justify-self: center;
    align-self: center;
    color: white;
    font-size: 2.4rem;
    font-style: italic;
    /* pour le comportement au zoom */
    margin: 0;
    padding: 0;
  }
  .main-head > blockquote:before {
    content: "\201C";
    font-family: georgia, serif;
    font-size: 3.6rem;
    color: white;
    padding: 0 0.72rem 0 0;
  }
  .main-head > blockquote:after {
    content: "\201D";
    font-family: georgia, serif;
    font-size: 3.6rem;
    color: white;
    padding: 0 0 0 0.72rem;
  }
  .auth-container {
    justify-self: end;
    align-self: center;
  }
  .signin-link {
    font-size: 1.6rem;
    display: inline-block;
    text-decoration: none;
    text-transform: uppercase;
    color: white;
    background-color: rgb(241, 90, 34);
    padding: 1rem 2rem 1rem 2rem;
    border-radius: 1.5rem;
  }
  
  /*********** Footer *********************************/
  .main-footer {
    font-size: 1.6rem;
    padding: 0.5rem 1rem 0.5rem 1rem;
    color: white;
    background-color: rgb(51, 55, 56);
  }
  .main-footer a {
    color: white;
  }
  
  /*********** Menu principal *************************/
  .main-nav {
    font-size: 1.6rem;
    padding: 0.5rem 1rem 0.5rem 1rem;
  }
  .main-nav ul {
    list-style-type: none;
    padding: 0;
    /* display: grid;
    grid-auto-flow: row; */
  }
  /* .main-nav ul li {
    list-style-type: none;
  } */
  .main-nav ul li a {
    text-decoration: none;
    display: block;
    background-color: white;
    color: rgb(51, 55, 56);
    padding: 1rem 2rem 1rem 2rem;
    border-bottom: 0.1rem solid rgb(0, 140, 157);
  }
  .main-nav ul li a:hover {
    color: white;
    background-color: rgb(241, 90, 34);
  }
  .main-nav ul li a::before {
    color: rgb(0, 140, 157);
    content: ">";
    font-weight: bold;
    padding: 0 0.8rem 0 0;
  }
  
  /*********** Contenu principal **********************/
  .main-content {
    font-size: 1.6rem;
    padding: 1.5rem 1rem 0.5rem 1rem;
  }
  
  /*********** Article principal **********************/
  .art-main {
    display: flow-root;
    border-bottom: 0.1rem solid rgb(0, 140, 157);
    padding-bottom: 2rem;
    margin-bottom: 2rem;
  }
  .art-main h1 {
    color: rgb(0, 140, 157);
    font-size: 3.2rem;
    text-transform: uppercase;
    margin-top: 1rem;
    margin-bottom: 0.5rem;
  }
  .art-main h2 {
    color: rgb(0, 140, 157);
    font-size: 2.4rem;
    font-style: italic;
    margin-top: 1rem;
  }
  .art-main h3 {
    font-weight: bold;
    font-size: 1.6rem;
    margin-top: 0.8rem;
    margin-bottom: 0;
  }
  .art-main p {
    margin: 0;
    text-align: justify;
  }
  .art-main img {
    float: left;
    margin: 0 1.5rem 0.5rem 0;
    padding: 0;
    width: 24rem;
    height: 16.3rem;
  }
  
  /*********** Contenu secondaire *********************/
  .content-sec {
    font-size: 1.6rem;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(25rem, 1fr));
    grid-gap: 2rem;
    clear: both;
  }
  
  /*********** Articles secondaires *******************/
  .art-sec h2 {
    color: white;
    background-color: rgb(51, 55, 56);
    padding: 0.3rem;
    text-align: center;
    font-size: 1.76rem;
  }
  .art-sec img {
    width: 100%;
    aspect-ratio: auto 260 / 161;
  }
  
  /*********** Aside **********************************/
  .side {
    font-size: 1.6rem;
    padding: 1.5rem 1rem 0.5rem 1rem;
  }
  
  /*********** Liens réseaux sociaux ******************/
  .socialnetworks-links {
    list-style: none;
    padding: 0;
    display: grid;
    grid-auto-flow: column;
    grid-gap: 1rem;
  }
  .socialnetworks-links li {
    justify-self: center;
  }
  .socialnetworks-links img {
    width: 3.5rem;
    height: 3.5rem;
  }
  
  /*********** Advertising ****************************/
  .advert {
    background-color: rgb(51, 55, 56);
    color: white;
    padding: 1rem;
  }
  .advert h3 {
    font-size: 1.92rem;
  }
  .advert img {
    width: 100%;
    aspect-ratio: auto 260 / 173;
  }
  